# Yahoo! UI Library

### event 3.3.0

Yahoo! UI Library > event > DOMEventFacade
Search:
Filters Show Private Show Protected Show Deprecated

## Class DOMEventFacade

Wraps a DOM event, properties requiring browser abstraction are fixed here. Provids a security layer when required.

### Properties

#### _event - `object`

The native event

#### button - `int`

The button that was pushed.

#### charCode - `int`

The charCode for key events. Same as keyCode

#### keyCode - `int`

The keyCode for key events. Uses charCode if keyCode is not available

#### pageX - `int`

The X location of the event on the page (including scroll)

#### pageY - `int`

The Y location of the event on the page (including scroll)

#### webkitKeymap - `private object`

webkit key remapping required for Safari < 3.1

#### wheelDelta - `int`

Number representing the direction and velocity of the movement of the mousewheel. Negative is down, the higher the number, the faster. Applies to the mousewheel event.

#### which - `int`

The button that was pushed. Same as button.

### Methods

#### _touch

`private void _touch ( ev , currentTarget , wrapper )`
Adds touch event facade normalization properties to the DOM event facade

Parameters:
  `ev <Event>` the DOM event
  `currentTarget <HTMLElement>` the element the listener was attached to
  `wrapper <Event.Custom>` the custom event wrapper for this DOM event

#### halt

`void halt ( immediate )`
Stops the event propagation and prevents the default event behavior.

Parameters:
  `immediate <boolean>` if true additional listeners on the current target will not be executed

#### preventDefault

`void preventDefault ( returnValue )`
Prevents the event's default behavior

Parameters:
  `returnValue <string>` sets the returnValue of the event to this value (rather than the default false value). This can be used to add a customized confirmation query to the beforeunload event).

#### resolve

`private void resolve ( )`
Returns a wrapped node. Intended to be used on event targets, so it will return the node's parent if the target is a text node. If accessing a property of the node throws an error, this is probably the anonymous div wrapper Gecko adds inside text nodes. This likely will only occur when attempting to access the relatedTarget. In this case, we now return null because the anonymous div is completely useless and we do not know what the related target was because we can't even get to the element's parent node.

#### stopImmediatePropagation

`void stopImmediatePropagation ( )`
Stops the propagation to the next bubble target and prevents any additional listeners from being exectued on the current target.

#### stopPropagation

`void stopPropagation ( )`
Stops the propagation to the next bubble target

Copyright © 2011 Yahoo! Inc. All rights reserved.